This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 203718 - Lock issue with 2.6.17-1.2583.fc6, NetworkManager and ipw2100
Lock issue with 2.6.17-1.2583.fc6, NetworkManager and ipw2100
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 09:19 EDT by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 09:21:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Full dmesg output after booting (34.58 KB, text/plain)
2006-08-23 09:19 EDT, Matthias Saou
no flags Details
jwltest-ipw2100-lockdep-fix.patch (1.47 KB, patch)
2006-11-29 17:10 EST, John W. Linville
no flags Details | Diff

  None (edit)
Description Matthias Saou 2006-08-23 09:19:02 EDT
Just about when X is about to start after booting, I can see some kernel
messages printed to the console.

This is a Dell Inspiron 8600 laptop running today's Rawhide, which has an
ipw2100 wireless interface and a b44 ethernet interface, both controlled through
NetworkManager. The b44 interface was plugged in at the time, and network is
working fine using it.
Comment 1 Matthias Saou 2006-08-23 09:19:09 EDT
Created attachment 134709 [details]
Full dmesg output after booting
Comment 2 Matthias Saou 2006-09-04 07:03:37 EDT
Still seeing the same upon every boot with 2.6.17-1.2611.fc6.
Comment 3 David Lawrence 2006-09-05 11:25:44 EDT
Reassigning to correct owner, kernel-maint.
Comment 4 John W. Linville 2006-11-29 17:10:50 EST
Created attachment 142441 [details]
jwltest-ipw2100-lockdep-fix.patch
Comment 5 Matthias Saou 2006-11-30 04:41:02 EST
I am sorry to say that I no longer own the hardware to test this patch on. I
only have access to ipw2200 and ipw3945 nowadays. Do any of the CC'ed persons
have access to ipw2100 hardware? Or John, did you test this patch already? (hard
to say as you were quite light on details ;-))
Comment 6 John W. Linville 2006-11-30 09:49:45 EST
Test kernels w/ the patch from comment 4 are available here:

   http://people.redhat.com/linville/kernels/fc6/

They were building last night when I left -- I posted the patch then so I 
didn't forget.  Untested as of now, I'll be booting-up my ipw2100-equipped box 
shortly.
Comment 7 John W. Linville 2006-12-04 09:21:33 EST
Hmmm...well upon further review, this is already fixed in 2.6.19.  This should 
make it into fc6 when it gets rebased to 2.6.19.

Note You need to log in before you can comment on or make changes to this bug.